scala.collection.generic

# GenericSetTemplate

#### trait GenericSetTemplate[A, +CC[X] <: GenSet[X]] extends GenericTraversableTemplate[A, CC]

Source
  GenericSetTemplate.scala
Since

  2.8

Linear Supertypes
GenericTraversableTemplate[A, CC], HasNewBuilder[A, CC[A] @scala.annotation.unchecked.uncheckedVariance], AnyRef, Any
Known Subclasses
AbstractSet, AbstractSet, BitSet, BitSet, BitSet, BitSet1, BitSet2, BitSetN, DefaultKeySet, DefaultKeySet, DefaultKeySet, DefaultKeySortedSet, DefaultKeySortedSet, GenSet, HashSet, HashSet, HashTrieSet, ImmutableDefaultKeySet, ImmutableSetAdaptor, LinkedHashSet, ListSet, Node, ObservableSet, ParHashSet, ParHashSet, ParSet, ParSet, ParSet, Set, Set, Set, Set1, Set2, Set3, Set4, SetProxy, SetProxy, SetProxy, SortedSet, SortedSet, SortedSet, SynchronizedSet, TreeSet, TreeSet, ValueSet
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenericSetTemplate
2. GenericTraversableTemplate
3. HasNewBuilder
4. AnyRef
5. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def companion: GenericCompanion[CC]

   The factory companion object that builds instances of class CC.

   The factory companion object that builds instances of class CC. (or its `Iterable` superclass where class CC is not a `Seq`.)

   Definition Classes
     GenericTraversableTemplate

2. #### abstract def head: A

   Selects the first element of this collection.

   Selects the first element of this collection.

   returns

     the first element of this collection.

   Definition Classes
     GenericTraversableTemplate
   Exceptions thrown
     `NoSuchElementException`

     if the collection is empty.

3. #### abstract def isEmpty: Boolean

   Tests whether this collection is empty.

   Tests whether this collection is empty.

   returns

     `true` if the collection contain no elements, `false` otherwise.

   Definition Classes
     GenericTraversableTemplate

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GenericSetTemplate[A, CC] to any2stringadd[GenericSetTemplate[A, CC]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GenericSetTemplate[A, CC], B)

   Implicit information
     This member is added by an implicit conversion from GenericSetTemplate[A, CC] to ArrowAssoc[GenericSetTemplate[A, CC]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def empty: CC[A]

9. #### def ensuring(cond: (GenericSetTemplate[A, CC]) ⇒ Boolean, msg: ⇒ Any): GenericSetTemplate[A, CC]

   Implicit information
     This member is added by an implicit conversion from GenericSetTemplate[A, CC] to Ensuring[GenericSetTemplate[A, CC]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (GenericSetTemplate[A, CC]) ⇒ Boolean): GenericSetTemplate[A, CC]

    Implicit information
      This member is added by an implicit conversion from GenericSetTemplate[A, CC] to Ensuring[GenericSetTemplate[A, CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): GenericSetTemplate[A, CC]

    Implicit information
      This member is added by an implicit conversion from GenericSetTemplate[A, CC] to Ensuring[GenericSetTemplate[A, CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): GenericSetTemplate[A, CC]

    Implicit information
      This member is added by an implicit conversion from GenericSetTemplate[A, CC] to Ensuring[GenericSetTemplate[A, CC]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def flatten[B]: CC[B]

    [use case] Converts this collection of traversable collections into a collection formed by the elements of these traversable collections.

    [use case]

    Converts this collection of traversable collections into a collection formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of collection. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new collection resulting from concatenating all element collections.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): CC[B]

17. #### abstract def foreach(f: (A) ⇒ Unit): Unit

    [use case]

    [use case]
    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### abstract def foreach[U](f: (A) ⇒ U): Unit

18. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from GenericSetTemplate[A, CC] to StringFormat[GenericSetTemplate[A, CC]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### def genericBuilder[B]: Builder[B, CC[B]]

    The generic builder that builds instances of CC at arbitrary element types.

    The generic builder that builds instances of CC at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### def newBuilder: Builder[A, CC[A]]

    The builder that builds instances of type CC[A]

    The builder that builds instances of type CC[A]

    Attributes
      protected[this]
    Definition Classes
      GenericTraversableTemplate → HasNewBuilder

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from GenericSetTemplate[A, CC] to CollectionsHaveToParArray[GenericSetTemplate[A, CC], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (GenericSetTemplate[A, CC]) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): CC[CC[B]]

    Transposes this collection of traversable collections into a collection of collections.

    Transposes this collection of traversable collections into a collection of collections.

    The resulting collection's type will be guided by the static type of collection. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(4, 5, 6)).transpose
        // xs == List(
        //         List(1, 4),
        //         List(2, 5),
        //         List(3, 6))

        val ys = Vector(
                   List(1, 2, 3),
                   List(4, 5, 6)).transpose
        // ys == Vector(
        //         Vector(1, 4),
        //         Vector(2, 5),
        //         Vector(3, 6))

    B

      the type of the elements of each traversable collection.

    asTraversable

      an implicit conversion which asserts that the element type of this collection is a `Traversable`.

    returns

      a two-dimensional collection of collections which has as nth row the nth column of this collection.

    Definition Classes
      GenericTraversableTemplate
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

    Exceptions thrown
      `IllegalArgumentException`

      if all collections in this collection are not of the same size.

31. #### def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (CC[A1], CC[A2])

    Converts this collection of pairs into two collections of the first and second half of each pair.

    Converts this collection of pairs into two collections of the first and second half of each pair.

        val xs = CC(
                   (1, "one"),
                   (2, "two"),
                   (3, "three")).unzip
        // xs == (CC(1, 2, 3),
        //        CC(one, two, three))

    A1

      the type of the first half of the element pairs

    A2

      the type of the second half of the element pairs

    asPair

      an implicit conversion which asserts that the element type of this collection is a pair.

    returns

      a pair of collections, containing the first, respectively second half of each element pair of this collection.

    Definition Classes
      GenericTraversableTemplate

32. #### def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (CC[A1], CC[A2], CC[A3])

    Converts this collection of triples into three collections of the first, second, and third element of each triple.

    Converts this collection of triples into three collections of the first, second, and third element of each triple.

        val xs = CC(
                   (1, "one", '1'),
                   (2, "two", '2'),
                   (3, "three", '3')).unzip3
        // xs == (CC(1, 2, 3),
        //        CC(one, two, three),
        //        CC(1, 2, 3))

    A1

      the type of the first member of the element triples

    A2

      the type of the second member of the element triples

    A3

      the type of the third member of the element triples

    asTriple

      an implicit conversion which asserts that the element type of this collection is a triple.

    returns

      a triple of collections, containing the first, second, respectively third member of each element triple of this collection.

    Definition Classes
      GenericTraversableTemplate

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (GenericSetTemplate[A, CC], B)

    Implicit information
      This member is added by an implicit conversion from GenericSetTemplate[A, CC] to ArrowAssoc[GenericSetTemplate[A, CC]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from GenericTraversableTemplate[A, CC]

### Inherited from HasNewBuilder[A, CC[A] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from GenericSetTemplate[A, CC] to CollectionsHaveToParArray[GenericSetTemplate[A, CC], T]

### Inherited by implicit conversion any2stringadd from GenericSetTemplate[A, CC] to any2stringadd[GenericSetTemplate[A, CC]]

### Inherited by implicit conversion StringFormat from GenericSetTemplate[A, CC] to StringFormat[GenericSetTemplate[A, CC]]

### Inherited by implicit conversion Ensuring from GenericSetTemplate[A, CC] to Ensuring[GenericSetTemplate[A, CC]]

### Inherited by implicit conversion ArrowAssoc from GenericSetTemplate[A, CC] to ArrowAssoc[GenericSetTemplate[A, CC]]

### Ungrouped